# -----------------------------------------------------------------------------
# Copyright (c) 1997/8 by Matthias Klusch, Torsten Vielhak
# Computer Science Department,
# Christian-Albrechts-University of Kiel,
# Olshausenstr. 40, 24118 Kiel, Germany
# 
# All rights reserved.
# No warranties will be given on any issues arising out of the use
# of this software product.
# Permission to use, copy, modify and distribute this software
# product for non-commercial purposes is hereby granted, provided
# that the above copyright notice appears in all copies and
# respective publications.
# All commercial trades with this product outside the CAU Kiel
# without specific written prior permission are prohibited.
#-----------------------------------------------------------------------------

# ===== This script checks and sets the width of a given list
# ===== args:  list - listbox to test
# =====        min  - minimum width

proc coala_check_list {list min} {
    set big 0
    foreach entry [$list get 0 end] {
	if {[string length $entry] > $min} {
	    set big 1
	    break
	}
    }

    if {$big} {
	$list configure -width -1
    } else {
	$list configure -width $min
    }
}